package com.inspect.metadata.alg.service;

import com.inspect.metadata.alg.domain.BasedataAlg;

import java.util.List;

public interface IBasedataAlgService {
    BasedataAlg selectBasedataAlgByAlgId(Long algId);

    List<BasedataAlg> selectBasedataAlgList(BasedataAlg alg);

    int insertBasedataAlg(BasedataAlg alg);

    int updateBasedataAlg(BasedataAlg alg);

    int deleteBasedataAlgByAlgIds(Long[] algIds);

    int deleteBasedataAlgByAlgId(Long algId);

    List<BasedataAlg> getAlgTypeList();

    List<BasedataAlg> selectBasedataAlgTypeList();

    int checkAlgNameIsExist(String name, String value);
}
